jp.cssj.cti2.helpers

## Class CTIHttpServletResponseWrapper

- java.lang.Object
- - javax.servlet.ServletResponseWrapper
  - - javax.servlet.http.HttpServletResponseWrapper
    - - jp.cssj.cti2.helpers.CTIHttpServletResponseWrapper

- All Implemented Interfaces:
    Closeable, AutoCloseable, javax.servlet.http.HttpServletResponse, javax.servlet.ServletResponse, MetaSource

      public class CTIHttpServletResponseWrapper
      extends javax.servlet.http.HttpServletResponseWrapper
      implements MetaSource, Closeable

  転送先のサーブレット/JSPの出力をキャプチャしてCTISessionに渡します。
  Version:
    $Id: CTIHttpServletResponseWrapper.java 694 2011-09-27 11:48:14Z miyabe $
  Author:
    MIYABE Tatsuhiko

- - ### Field Summary

    - ### Fields inherited from interface javax.servlet.http.HttpServletResponse

      `SC_ACCEPTED, SC_BAD_GATEWAY, SC_BAD_REQUEST, SC_CONFLICT, SC_CONTINUE, SC_CREATED, SC_EXPECTATION_FAILED, SC_FORBIDDEN, SC_FOUND, SC_GATEWAY_TIMEOUT, SC_GONE, SC_HTTP_VERSION_NOT_SUPPORTED, SC_INTERNAL_SERVER_ERROR, SC_LENGTH_REQUIRED, SC_METHOD_NOT_ALLOWED, SC_MOVED_PERMANENTLY, SC_MOVED_TEMPORARILY, SC_MULTIPLE_CHOICES, SC_NO_CONTENT, SC_NON_AUTHORITATIVE_INFORMATION, SC_NOT_ACCEPTABLE, SC_NOT_FOUND, SC_NOT_IMPLEMENTED, SC_NOT_MODIFIED, SC_OK, SC_PARTIAL_CONTENT, SC_PAYMENT_REQUIRED, SC_PRECONDITION_FAILED, SC_PROXY_AUTHENTICATION_REQUIRED, SC_REQUEST_ENTITY_TOO_LARGE, SC_REQUEST_TIMEOUT, SC_REQUEST_URI_TOO_LONG, SC_REQUESTED_RANGE_NOT_SATISFIABLE, SC_RESET_CONTENT, SC_SEE_OTHER, SC_SERVICE_UNAVAILABLE, SC_SWITCHING_PROTOCOLS, SC_TEMPORARY_REDIRECT, SC_UNAUTHORIZED, SC_UNSUPPORTED_MEDIA_TYPE, SC_USE_PROXY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CTIHttpServletResponseWrapper(javax.servlet.http.HttpServletResponse response, CTISession session, URI uri)` new CTIHttpServletResponseWrapper(response, session, uri, true)を呼び出すのと同等です。
    `CTIHttpServletResponseWrapper(javax.servlet.http.HttpServletResponse response, CTISession session, URI uri, boolean transcode)` 指定したレスポンスをラップし、セッションにデータを送るレスポンスを構築します。

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close()`
    `void` | `flushBuffer()`
    `String` | `getEncoding()`
    `long` | `getLength()`
    `String` | `getMimeType()`
    `javax.servlet.ServletOutputStream` | `getOutputStream()`
    `URI` | `getURI()`
    `PrintWriter` | `getWriter()`
    `void` | `setCharacterEncoding(String encoding)`
    `void` | `setContentLength(int contentLength)`
    `void` | `setContentType(String contentType)`

    - ### Methods inherited from class javax.servlet.http.HttpServletResponseWrapper

      `addCookie, addDateHeader, addHeader, addIntHeader, containsHeader, encodeRedirectUrl, encodeRedirectURL, encodeUrl, encodeURL, sendError, sendError, sendRedirect, setDateHeader, setHeader, setIntHeader, setStatus, setStatus`

    - ### Methods inherited from class javax.servlet.ServletResponseWrapper

      `getBufferSize, getCharacterEncoding, getContentType, getLocale, getResponse, isCommitted, reset, resetBuffer, setBufferSize, setLocale, setResponse`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.servlet.ServletResponse

      `getBufferSize, getCharacterEncoding, getContentType, getLocale, isCommitted, reset, resetBuffer, setBufferSize, setLocale`

- - ### Constructor Detail

    - #### CTIHttpServletResponseWrapper

          public CTIHttpServletResponseWrapper(javax.servlet.http.HttpServletResponse response,
                                               CTISession session,
                                               URI uri,
                                               boolean transcode)

      指定したレスポンスをラップし、セッションにデータを送るレスポンスを構築します。
      Parameters:
        `response` - ラップするレスポンス。
        `session` - データ送信先のセッション。
        `uri` - データのURI。
        `transcode` - falseであればリソースとして、trueであればメインドキュメントとして渡す。

    - #### CTIHttpServletResponseWrapper

          public CTIHttpServletResponseWrapper(javax.servlet.http.HttpServletResponse response,
                                               CTISession session,
                                               URI uri)

      new CTIHttpServletResponseWrapper(response, session, uri, true)を呼び出すのと同等です。
      Parameters:
        `response` - ラップするレスポンス。
        `session` - データ送信先のセッション。
        `uri` - データのURI。

  - ### Method Detail

    - #### setContentLength

          public void setContentLength(int contentLength)

      Specified by:
        `setContentLength` in interface `javax.servlet.ServletResponse`
      Overrides:
        `setContentLength` in class `javax.servlet.ServletResponseWrapper`

    - #### setContentType

          public void setContentType(String contentType)

      Specified by:
        `setContentType` in interface `javax.servlet.ServletResponse`
      Overrides:
        `setContentType` in class `javax.servlet.ServletResponseWrapper`

    - #### setCharacterEncoding

          public void setCharacterEncoding(String encoding)

      Specified by:
        `setCharacterEncoding` in interface `javax.servlet.ServletResponse`
      Overrides:
        `setCharacterEncoding` in class `javax.servlet.ServletResponseWrapper`

    - #### getEncoding

          public String getEncoding()
                             throws IOException

      Specified by:
        `getEncoding` in interface `MetaSource`
      Throws:
        `IOException`

    - #### getLength

          public long getLength()
                         throws IOException

      Specified by:
        `getLength` in interface `MetaSource`
      Throws:
        `IOException`

    - #### getMimeType

          public String getMimeType()
                             throws IOException

      Specified by:
        `getMimeType` in interface `MetaSource`
      Throws:
        `IOException`

    - #### getURI

          public URI getURI()

      Specified by:
        `getURI` in interface `MetaSource`

    - #### getOutputStream

          public javax.servlet.ServletOutputStream getOutputStream()

      Specified by:
        `getOutputStream` in interface `javax.servlet.ServletResponse`
      Overrides:
        `getOutputStream` in class `javax.servlet.ServletResponseWrapper`

    - #### getWriter

          public PrintWriter getWriter()
                                throws IOException

      Specified by:
        `getWriter` in interface `javax.servlet.ServletResponse`
      Overrides:
        `getWriter` in class `javax.servlet.ServletResponseWrapper`
      Throws:
        `IOException`

    - #### flushBuffer

          public void flushBuffer()
                           throws IOException

      Specified by:
        `flushBuffer` in interface `javax.servlet.ServletResponse`
      Overrides:
        `flushBuffer` in class `javax.servlet.ServletResponseWrapper`
      Throws:
        `IOException`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `Closeable`
      Specified by:
        `close` in interface `AutoCloseable`
      Throws:
        `IOException`

Copyright © 2018 座間ソフト. All rights reserved.